I've got a requirement where I need to run some scripts in a PowerShell 2.0 environment and others in a PowerShell 3.0 environment.

Already using the scriptservice to preload PowerShell and improve performance.

Have sucessfully created multiple instances of the windows scripting driver as per the documentation.
However due to the way that the binaries for PowerShell 3.0 script service differ from those for PowerShell 2.0 script service, I can see that I will need two separate instances of the scriptservice also.

Tried scriptservice.exe -installService -instance 2 etc.. without success.

Anyone else done this? Is this possible?

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...